version: "3.1"

services:
  mongo:
    image: mongo
    restart: always
    ports:
      - 127.0.0.1:27017:27017

  mongo-express:
    image: mongo-express
    restart: always
    ports:
      - 127.0.0.1:8081:8081

  backend:
    image: node:14-buster
    # user: 1000:1000
    volumes:
      - ./src/backend:/app
      - be_node_modules:/app/node_modules
    working_dir: /app
    ports:
      - 127.0.0.1:3001:3001
      - 127.0.0.1:9229:9229
    environment:
      - NODE_OPTIONS=--inspect=0.0.0.0:9229
    command: sleep infinity

  frontend:
    image: node:14-buster
    # user: 1000:1000
    volumes:
      - ./src/frontend:/app
      - fe_node_modules:/app/node_modules
    working_dir: /app
    ports:
      - 3000:3000
      # - 9229:9229
    environment:
      # - NODE_OPTIONS=--inspect=0.0.0.0:9229
      - HELLO=WORLD
    # command: ./entry.sh
    command: sleep infinity

volumes:
  fe_node_modules:
  be_node_modules: